Subject: bug#18817: closed (Re: bug#18817: \w is not synonym for [[:alnum:]] in UTF-8 locales)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Oct 2014 03:56:03 +0000

Your bug report

#18817: \w is not synonym for [[:alnum:]] in UTF-8 locales

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18817: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18817
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18817: \w is not synonym for [[:alnum:]] in UTF-8 locales
From: Jim Meyering <[email-masked]>
To: Norihiro Tanaka <[email-masked]>
Cc: Eric Blake <[email-masked]>, [email-masked]
Date: Tue, 28 Oct 2014 20:55:07 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

FYI, I noticed only after pushing that "make check" was
failing a test because that new script was not executable,
so I've just pushed a follow-up patch to fix that.

On Tue, Oct 28, 2014 at 6:07 PM, Jim Meyering <[email-masked]> wrote:
> I've adjusted the commit subject and ChangeLog content, and will push
> this today, then I'll make a pre-release snapshot.

Subject: \w is not synonym for [[:alnum:]] in UTF-8 locales
From: Jaroslav Skarvada <[email-masked]>
To: [email-masked]
Date: Fri, 24 Oct 2014 10:19:49 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

in the man page there is the following sentence:

"The symbol \w is a synonym for [_[:alnum:]] and \W is a synonym for [^_[:alnum:]]"

Not counting that in man pages for some other languages (e.g. czech) there is written
that \w is a synonym for [[:alnum:]] and \W is a synonym for [^[:alnum:]], but
none of them seems to be synonym for \w | \W in UTF-8 locales:

$ export LANG=en_US.UTF-8

$ echo 'á' | grep '[[:alnum:]]'
á
$ echo 'á' | grep '[_[:alnum:]]'
á
$ echo 'á' | grep '\w'

$ echo 'á' | grep '[^[:alnum:]]'
$ echo 'á' | grep '[^_[:alnum:]]'
$ echo 'á' | grep '\W'
á

$ grep --version
grep (GNU grep) 2.20
...